com.sun.jna.platform.win32

## Interface BaseTSD

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary
  All Known Subinterfaces:
    CoreDLL, Kernel32, WinBase, WinNT

      public interface BaseTSD
      extends StdCallLibrary

  Based on basetsd.h (various types)
  Author:
    dblock[at]dblock[dot]org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BaseTSD.DWORD_PTR` Unsigned DWORD_PTR.
    `static class` | `BaseTSD.LONG_PTR` Signed long type for pointer precision.
    `static class` | `BaseTSD.SIZE_T` The maximum number of bytes to which a pointer can point.
    `static class` | `BaseTSD.SSIZE_T` Signed SIZE_T.
    `static class` | `BaseTSD.ULONG_PTR` Unsigned LONG_PTR.
    `static class` | `BaseTSD.ULONG_PTRByReference` PULONG_PTR

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.